Subject: Re: bug#35816: 26.2; set-frame-font cannot set some fonts which autocomplete suggests due to dashes in names. I.e. gnu-unifont

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 09 Jul 2019 15:22:15 +0200

(Please keep the debbugs address in the Cc header, otherwise the bug
tracker won't get the email.)

Vladimir Nikishkin <[email-masked]> writes:

> I experimented with it a bit just now. Indeed, not every suggested font is
> broken. However, autocompletion still suggests some broken font descriptions.
>
> To reproduce:
>
> M-x set-frame-font RET
> -gnu-unifont-sans-16-*-7 TAB RET produces a wrong font description.
>
> And I didn't deliberately concoct such a string myself, I obtained it by typing -gnu
> TAB, and typing in a few suggestion characters, which I don't remember, but
> which were swallowed by Emacs just fine.
>
> Something like
> M-x set-frame-font RET
> -gnu TAB -sa TAB 1 TAB 7 TAB
>
> For example, in my case, I'm getting the line:
>
> -gnu-unifont-sans-16-*-75-75-c-80-iso10646-1

I'm unable to reproduce this bug, because Debian doesn't seem to include
any fonts that have a "gnu" in the foundry name (or perhaps I've just
installed the wrong package?).

But in what way is that font description wrong?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no